From db2995171fcf2dad257fdd9d924b1dea916bdbcd Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Wed, 30 Jun 2021 09:41:11 -0400
Subject: [PATCH] Fix libpq build for coverage support

---
 src/Makefile.shlib            | 2 +-
 src/interfaces/libpq/Makefile | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/Makefile.shlib b/src/Makefile.shlib
index 29a7f6d38c..c549505e44 100644
--- a/src/Makefile.shlib
+++ b/src/Makefile.shlib
@@ -65,7 +65,7 @@
 #
 
 
-COMPILER = $(CC) $(CFLAGS)
+COMPILER = $(CC) $(filter-out -fprofile-arcs, $(CFLAGS))
 LINK.static = $(AR) $(AROPT)
 
 LDFLAGS_INTERNAL += $(SHLIB_LINK_INTERNAL)
diff --git a/src/interfaces/libpq/Makefile b/src/interfaces/libpq/Makefile
index e8cd07e9c9..8ddb214983 100644
--- a/src/interfaces/libpq/Makefile
+++ b/src/interfaces/libpq/Makefile
@@ -108,7 +108,7 @@ backend_src = $(top_srcdir)/src/backend
 # complaining about <assert.h> infrastructure on ancient macOS releases.
 .PHONY: check-libpq-refs
 check-libpq-refs: $(shlib)
-	! nm -A -g -u $< 2>/dev/null | grep -v '_eprintf\.o:' | grep -e abort -e exit
+	! nm -A -g -u $< 2>/dev/null | grep -v '_eprintf\.o:' | grep -v '__gcov_exit' | grep -e abort -e exit
 
 # Make dependencies on pg_config_paths.h visible in all builds.
 fe-connect.o: fe-connect.c $(top_builddir)/src/port/pg_config_paths.h
-- 
2.30.2

